Subject: Re: bug#19390: 25.0.50; `package-activate' is too slow

From: Dmitry Gutov <[email-masked]>
Date: Wed, 17 Dec 2014 01:27:09 +0200

On 12/17/2014 01:16 AM, Stefan Monnier wrote:
> Do you remember the scenario where you saw that?  Normally, the
> load-history contains the file names using the directory names that
> appear in load-path, so while they're not "canonical",

Actually, it seems to me that load-history does contain canonical names. 
At least, when the file being loaded is a symlink, the resulting record 
in load-history contains the path of the file it points to. Same for a 
real file in a symlinked dir.